Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.application
Class ViewHandlerWrapper

    java.lang.Object
      javax.faces.application.ViewHandler
          javax.faces.application.ViewHandlerWrapper

All Implemented Interfaces:
  FacesWrapper<ViewHandler>

    public abstract class ViewHandlerWrapper

extends ViewHandler
implements FacesWrapper<ViewHandler>

Provides a simple implementation of `ViewHandler` that can be subclassed by developers wishing to provide specialized behavior to an existing `ViewHandler` instance. The default implementation of all methods is to call through to the wrapped `ViewHandler`.

Usage: extend this class and override `getWrapped()` to return the instance we are wrapping.

Since:
  1.2

Field Summary

Fields inherited from class javax.faces.application.ViewHandler
`CHARACTER_ENCODING_KEY, DEFAULT_FACELETS_SUFFIX, DEFAULT_SUFFIX, DEFAULT_SUFFIX_PARAM_NAME, FACELETS_SUFFIX_PARAM_NAME, FACELETS_VIEW_MAPPINGS_PARAM_NAME`

Constructor Summary
`ViewHandlerWrapper()`

Method Summary
`java.lang.String` | `calculateCharacterEncoding(FacesContext context)` The default behavior of this method is to call `ViewHandler.calculateCharacterEncoding(javax.faces.context.FacesContext)` on the wrapped `ViewHandler` object.
`java.util.Locale` | `calculateLocale(FacesContext context)` The default behavior of this method is to call `ViewHandler.calculateLocale(javax.faces.context.FacesContext)` on the wrapped `ViewHandler` object.
`java.lang.String` | `calculateRenderKitId(FacesContext context)` The default behavior of this method is to call `ViewHandler.calculateRenderKitId(javax.faces.context.FacesContext)` on the wrapped `ViewHandler` object.
`UIViewRoot` | `createView(FacesContext context, java.lang.String viewId)` The default behavior of this method is to call `ViewHandler.createView(javax.faces.context.FacesContext, String)` on the wrapped `ViewHandler` object.
`java.lang.String` | `deriveLogicalViewId(FacesContext context, java.lang.String input)` The default behavior of this method is to call `ViewHandler.deriveLogicalViewId(javax.faces.context.FacesContext, String)` on the wrapped `ViewHandler` object.
`java.lang.String` | `deriveViewId(FacesContext context, java.lang.String input)` The default behavior of this method is to call `ViewHandler.deriveViewId(javax.faces.context.FacesContext, String)` on the wrapped `ViewHandler` object.
`java.lang.String` | `getActionURL(FacesContext context, java.lang.String viewId)` The default behavior of this method is to call `ViewHandler.getActionURL(javax.faces.context.FacesContext, String)` on the wrapped `ViewHandler` object.
`java.lang.String` | `getBookmarkableURL(FacesContext context, java.lang.String viewId, java.util.Map<java.lang.String,java.util.List<java.lang.String>> parameters, boolean includeViewParams)` The default behavior of this method is to call `ViewHandler.getBookmarkableURL(javax.faces.context.FacesContext, String, java.util.Map, boolean)` on the wrapped `ViewHandler` object.
`java.lang.String` | `getRedirectURL(FacesContext context, java.lang.String viewId, java.util.Map<java.lang.String,java.util.List<java.lang.String>> parameters, boolean includeViewParams)` The default behavior of this method is to call `ViewHandler.getRedirectURL(javax.faces.context.FacesContext, String, java.util.Map, boolean)` on the wrapped `ViewHandler` object.
`java.lang.String` | `getResourceURL(FacesContext context, java.lang.String path)` The default behavior of this method is to call `ViewHandler.getResourceURL(javax.faces.context.FacesContext, String)` on the wrapped `ViewHandler` object.
`ViewDeclarationLanguage` | `getViewDeclarationLanguage(FacesContext context, java.lang.String viewId)` The default behavior of this method is to call `ViewHandler.getViewDeclarationLanguage(javax.faces.context.FacesContext, java.lang.String)` on the wrapped `ViewHandler` object.
`abstract ViewHandler` | `getWrapped()` A class that implements this interface uses this method to return an instance of the class being wrapped.
`void` | `initView(FacesContext context)` The default behavior of this method is to call `ViewHandler.initView(javax.faces.context.FacesContext)` on the wrapped `ViewHandler` object.
`void` | `renderView(FacesContext context, UIViewRoot viewToRender)` The default behavior of this method is to call `ViewHandler.renderView(javax.faces.context.FacesContext, javax.faces.component.UIViewRoot)` on the wrapped `ViewHandler` object.
`UIViewRoot` | `restoreView(FacesContext context, java.lang.String viewId)` The default behavior of this method is to call `ViewHandler.restoreView(javax.faces.context.FacesContext, String)` on the wrapped `ViewHandler` object.
`void` | `writeState(FacesContext context)` The default behavior of this method is to call `ViewHandler.writeState(javax.faces.context.FacesContext)` on the wrapped `ViewHandler` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewHandlerWrapper

    public ViewHandlerWrapper()

Method Detail

### getWrapped

    public abstract ViewHandler getWrapped()

  Description copied from interface: `FacesWrapper`

  A class that implements this interface uses this method to return an instance of the class being wrapped.

  Specified by:
    `getWrapped` in interface `FacesWrapper<ViewHandler>`
  Returns:
    the instance that we are wrapping.

### calculateCharacterEncoding

    public java.lang.String calculateCharacterEncoding(FacesContext context)

  The default behavior of this method is to call `ViewHandler.calculateCharacterEncoding(javax.faces.context.FacesContext)` on the wrapped `ViewHandler` object.

  Overrides:
    `calculateCharacterEncoding` in class `ViewHandler`
  Since:
    1.2
  See Also:
    `ViewHandler.calculateCharacterEncoding(javax.faces.context.FacesContext)`

### calculateLocale

    public java.util.Locale calculateLocale(FacesContext context)

  The default behavior of this method is to call `ViewHandler.calculateLocale(javax.faces.context.FacesContext)` on the wrapped `ViewHandler` object.

  Specified by:
    `calculateLocale` in class `ViewHandler`
  Parameters:
    `context` - `FacesContext` for the current request
  Since:
    1.2
  See Also:
    `ViewHandler.calculateLocale(javax.faces.context.FacesContext)`

### deriveViewId

    public java.lang.String deriveViewId(FacesContext context,
                                         java.lang.String input)

  The default behavior of this method is to call `ViewHandler.deriveViewId(javax.faces.context.FacesContext, String)` on the wrapped `ViewHandler` object.

  Overrides:
    `deriveViewId` in class `ViewHandler`
  Parameters:
    `context` - the `FacesContext` for this request
    `input` - the `viewId` to derive,
  Since:
    2.0
  See Also:
    `ViewHandler.deriveViewId(javax.faces.context.FacesContext, String)`

### deriveLogicalViewId

    public java.lang.String deriveLogicalViewId(FacesContext context,
                                                java.lang.String input)

  The default behavior of this method is to call `ViewHandler.deriveLogicalViewId(javax.faces.context.FacesContext, String)` on the wrapped `ViewHandler` object.

  Overrides:
    `deriveLogicalViewId` in class `ViewHandler`
  Parameters:
    `context` - the `FacesContext` for this request
    `input` - the `viewId` to derive,
  Since:
    2.1
  See Also:
    `ViewHandler.deriveLogicalViewId(javax.faces.context.FacesContext, String)`

### calculateRenderKitId

    public java.lang.String calculateRenderKitId(FacesContext context)

  The default behavior of this method is to call `ViewHandler.calculateRenderKitId(javax.faces.context.FacesContext)` on the wrapped `ViewHandler` object.

  Specified by:
    `calculateRenderKitId` in class `ViewHandler`
  Parameters:
    `context` - `FacesContext` for the current request
  Since:
    1.2
  See Also:
    `ViewHandler.calculateRenderKitId(javax.faces.context.FacesContext)`

### createView

    public UIViewRoot createView(FacesContext context,
                                 java.lang.String viewId)

  The default behavior of this method is to call `ViewHandler.createView(javax.faces.context.FacesContext, String)` on the wrapped `ViewHandler` object.

  Specified by:
    `createView` in class `ViewHandler`
  Since:
    1.2
  See Also:
    `ViewHandler.createView(javax.faces.context.FacesContext, String)`

### getActionURL

    public java.lang.String getActionURL(FacesContext context,
                                         java.lang.String viewId)

  The default behavior of this method is to call `ViewHandler.getActionURL(javax.faces.context.FacesContext, String)` on the wrapped `ViewHandler` object.

  Specified by:
    `getActionURL` in class `ViewHandler`
  Parameters:
    `context` - `FacesContext` for this request
    `viewId` - View identifier of the desired view
  Since:
    1.2
  See Also:
    `ViewHandler.getActionURL(javax.faces.context.FacesContext, String)`

### getRedirectURL

    public java.lang.String getRedirectURL(FacesContext context,
                                           java.lang.String viewId,
                                           java.util.Map<java.lang.String,java.util.List<java.lang.String>> parameters,
                                           boolean includeViewParams)

  The default behavior of this method is to call `ViewHandler.getRedirectURL(javax.faces.context.FacesContext, String, java.util.Map, boolean)` on the wrapped `ViewHandler` object.

  Overrides:
    `getRedirectURL` in class `ViewHandler`
  Parameters:
    `context` - The FacesContext processing this request
    `viewId` - The view identifier of the target page
    `parameters` - A mapping of parameter names to one or more values
    `includeViewParams` - A flag indicating whether view parameters should be encoded into this URL
  Since:
    2.0
  See Also:
    `ViewHandler.getRedirectURL(javax.faces.context.FacesContext, String, java.util.Map, boolean)`

### getBookmarkableURL

    public java.lang.String getBookmarkableURL(FacesContext context,
                                               java.lang.String viewId,
                                               java.util.Map<java.lang.String,java.util.List<java.lang.String>> parameters,
                                               boolean includeViewParams)

  The default behavior of this method is to call `ViewHandler.getBookmarkableURL(javax.faces.context.FacesContext, String, java.util.Map, boolean)` on the wrapped `ViewHandler` object.

  Overrides:
    `getBookmarkableURL` in class `ViewHandler`
  Parameters:
    `context` - The FacesContext processing this request
    `viewId` - The view identifier of the target page
    `parameters` - A mapping of parameter names to one or more values
    `includeViewParams` - A flag indicating whether view parameters should be encoded into this URL
  Since:
    2.0
  See Also:
    `ViewHandler.getBookmarkableURL(javax.faces.context.FacesContext, String, java.util.Map, boolean)`

### getResourceURL

    public java.lang.String getResourceURL(FacesContext context,
                                           java.lang.String path)

  The default behavior of this method is to call `ViewHandler.getResourceURL(javax.faces.context.FacesContext, String)` on the wrapped `ViewHandler` object.

  Specified by:
    `getResourceURL` in class `ViewHandler`
  Parameters:
    `context` - `FacesContext` for the current request
    `path` - Resource path to convert to a URL
  Since:
    1.2
  See Also:
    `ViewHandler.getResourceURL(javax.faces.context.FacesContext, String)`

### getViewDeclarationLanguage

    public ViewDeclarationLanguage getViewDeclarationLanguage(FacesContext context,
                                                              java.lang.String viewId)

  The default behavior of this method is to call `ViewHandler.getViewDeclarationLanguage(javax.faces.context.FacesContext, java.lang.String)` on the wrapped `ViewHandler` object.

  Overrides:
    `getViewDeclarationLanguage` in class `ViewHandler`
  Parameters:
    `context` - the `FacesContext` for this request.
    `viewId` - the logical view id, as returned from `ViewHandler.deriveLogicalViewId(javax.faces.context.FacesContext, java.lang.String)` for which the `ViewDeclarationLanguage` should be returned.
  Since:
    2.0

### initView

    public void initView(FacesContext context)
                  throws FacesException

  The default behavior of this method is to call `ViewHandler.initView(javax.faces.context.FacesContext)` on the wrapped `ViewHandler` object.

  Overrides:
    `initView` in class `ViewHandler`
  Throws:
    `FacesException` - if a problem occurs setting the encoding, such as the `UnsupportedEncodingException` thrown by the underlying Servlet or Portlet technology when the encoding is not supported.
  Since:
    1.2
  See Also:
    `ViewHandler.initView(javax.faces.context.FacesContext)`

### renderView

    public void renderView(FacesContext context,
                           UIViewRoot viewToRender)
                    throws java.io.IOException,
                           FacesException

  The default behavior of this method is to call `ViewHandler.renderView(javax.faces.context.FacesContext, javax.faces.component.UIViewRoot)` on the wrapped `ViewHandler` object.

  Specified by:
    `renderView` in class `ViewHandler`
  Parameters:
    `context` - `FacesContext` for the current request
    `viewToRender` - the view to render
  Throws:
    `java.io.IOException` - if an input/output error occurs
    `FacesException` - if a servlet error occurs
  Since:
    1.2
  See Also:
    `ViewHandler.renderView(javax.faces.context.FacesContext, javax.faces.component.UIViewRoot)`

### restoreView

    public UIViewRoot restoreView(FacesContext context,
                                  java.lang.String viewId)

  The default behavior of this method is to call `ViewHandler.restoreView(javax.faces.context.FacesContext, String)` on the wrapped `ViewHandler` object.

  Specified by:
    `restoreView` in class `ViewHandler`
  Parameters:
    `context` - `FacesContext` for the current request
    `viewId` - the view identifier for the current request
  Since:
    1.2
  See Also:
    `ViewHandler.restoreView(javax.faces.context.FacesContext, String)`

### writeState

    public void writeState(FacesContext context)
                    throws java.io.IOException

  The default behavior of this method is to call `ViewHandler.writeState(javax.faces.context.FacesContext)` on the wrapped `ViewHandler` object.

  Specified by:
    `writeState` in class `ViewHandler`
  Parameters:
    `context` - `FacesContext` for the current request
  Throws:
    `java.io.IOException` - if an input/output error occurs
  Since:
    1.2
  See Also:
    `ViewHandler.writeState(javax.faces.context.FacesContext)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.